java.security

## Class KeyStore.CallbackHandlerProtection

- java.lang.Object
- - java.security.KeyStore.CallbackHandlerProtection

All Implemented Interfaces:
  KeyStore.ProtectionParameter

Enclosing class:
  KeyStore

    public static class KeyStore.CallbackHandlerProtection
    extends Object
    implements KeyStore.ProtectionParameter

A ProtectionParameter encapsulating a CallbackHandler.

Since:
  1.5

### Constructor Summary

Constructors
Constructor and Description
`KeyStore.CallbackHandlerProtection(CallbackHandler handler)` Constructs a new CallbackHandlerProtection from a CallbackHandler.

### Method Summary

Methods
`CallbackHandler` `getCallbackHandler()` Returns the CallbackHandler.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### KeyStore.CallbackHandlerProtection

    public KeyStore.CallbackHandlerProtection(CallbackHandler handler)

Constructs a new CallbackHandlerProtection from a CallbackHandler.

Parameters:
  `handler` - the CallbackHandler
Throws:
  `NullPointerException` - if handler is null

### Method Detail

#### getCallbackHandler

    public CallbackHandler getCallbackHandler()

Returns the CallbackHandler.

Returns:
  the CallbackHandler.

Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved.